Add executor

Assigns an executor organization (on-chrt or off-chrt) to a task group. Coordinator-only. Requires both executor_org_id and off_chrt_executor_org_id to be None (use remove_executor/v1 first to swap). | authz_personas=[coordinator_org_operators] | (AddExecutorReq) -> (bool)

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

task_group_idstringRequired

Request

This endpoint expects an object.
executor_org_idstring or nullOptional

ID of the on-chrt provider organization to assign as executor. Mutually exclusive with off_chrt_executor_org_id.

off_chrt_executor_org_idstring or nullOptional

ID of the off-chrt provider organization to assign as executor. Must be owned by the caller’s coordinator org. Mutually exclusive with executor_org_id.

Response

Successful Response

Errors

422
Task Groups Add Executor V1request Unprocessable Entity Error